public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-trio/
@ 2020-03-29 13:21 Andrew Ammerlaan
  0 siblings, 0 replies; 10+ messages in thread
From: Andrew Ammerlaan @ 2020-03-29 13:21 UTC (permalink / raw
  To: gentoo-commits

commit:     edaa10335b543e4785f75ba1c1fc39fd7f4f14e7
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sun Mar 29 09:24:47 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Mar 29 09:29:03 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=edaa1033

dev-python/pytest-trio: new package

Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-python/pytest-trio/Manifest                 |  1 +
 dev-python/pytest-trio/metadata.xml             | 12 ++++++++
 dev-python/pytest-trio/pytest-trio-0.5.2.ebuild | 37 +++++++++++++++++++++++++
 3 files changed, 50 insertions(+)

diff --git a/dev-python/pytest-trio/Manifest b/dev-python/pytest-trio/Manifest
new file mode 100644
index 0000000..f6eebcc
--- /dev/null
+++ b/dev-python/pytest-trio/Manifest
@@ -0,0 +1 @@
+DIST pytest-trio-0.5.2.tar.gz 35372 BLAKE2B 158e59d81fab6b56e37e92e28f8fdabb5d330dfc57b7774dcde4156165e3f5336647c9382268b50a5f70806449107ab2c7ec6d1a34f6bc773825b4fbb50b03a1 SHA512 0ab0bcfd3b1ef4859a49fa9d5dacbc698882f4f95ee113f241b49d8a7f000dbae1d982a13a87e18f96d51af1278b20298dd1af8d2ab1f563e91e74f7232f46a5

diff --git a/dev-python/pytest-trio/metadata.xml b/dev-python/pytest-trio/metadata.xml
new file mode 100644
index 0000000..ada609b
--- /dev/null
+++ b/dev-python/pytest-trio/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="person">
+    <email>lssndrbarbieri@gmail.com</email>
+    <name>Alessandro Barbieri</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">python-trio/pytest-trio</remote-id>
+    <remote-id type="pypi">pytest-trio</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild b/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild
new file mode 100644
index 0000000..b35afa2
--- /dev/null
+++ b/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_6 )
+
+inherit distutils-r1
+
+DESCRIPTION="This is a pytest plugin to help you test projects that use Trio"
+HOMEPAGE="
+	https://github.com/python-trio/pytest-trio
+	https://pypi.org/project/pytest-trio
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( MIT Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	>=dev-python/async_generator-1.9[${PYTHON_USEDEP}]
+	dev-python/outcome[${PYTHON_USEDEP}]
+	>=dev-python/trio-0.11[${PYTHON_USEDEP}]
+"
+DEPEND="
+	${RDEPEND}
+	test? (
+		>=dev-python/hypothesis-3.64[${PYTHON_USEDEP}]
+		!~dev-python/pytest-3.7.0[${PYTHON_USEDEP}]
+		!~dev-python/pytest-3.7.1[${PYTHON_USEDEP}]
+		dev-python/trio-asyncio[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-trio/
  2020-03-29 13:21 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
@ 2020-03-29 13:21 ` Andrew Ammerlaan
  0 siblings, 0 replies; 10+ messages in thread
From: Andrew Ammerlaan @ 2020-03-29 13:21 UTC (permalink / raw
  To: gentoo-commits

commit:     be0208ec654fa3530ae5a848feaf10fe33125c39
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun Mar 29 12:35:39 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Mar 29 12:35:39 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=be0208ec

dev-python/pytest-trio: made some progress with the tests

Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/pytest-trio/pytest-trio-0.5.2.ebuild | 21 ++++++++++++++++++++-
 1 file changed, 20 insertions(+), 1 deletion(-)

diff --git a/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild b/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild
index b35afa2..8232fa5 100644
--- a/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild
+++ b/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild
@@ -3,7 +3,9 @@
 
 EAPI="7"
 
-PYTHON_COMPAT=( python3_6 )
+PYTHON_COMPAT=( python3_{6,7} )
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
 
 inherit distutils-r1
 
@@ -18,6 +20,9 @@ LICENSE="|| ( MIT Apache-2.0 )"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 
+# lots of different errors
+RESTRICT="test"
+
 RDEPEND="
 	>=dev-python/async_generator-1.9[${PYTHON_USEDEP}]
 	dev-python/outcome[${PYTHON_USEDEP}]
@@ -35,3 +40,17 @@ DEPEND="
 
 distutils_enable_tests pytest
 distutils_enable_sphinx docs/source
+
+python_prepare_all() {
+	# AttributeError("module 'pytest' has no attribute 'RemovedInPytest4Warning'",)
+	rm pytest_trio/_tests/conftest.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	# has to be run in source dir
+	PYTHONPATH="${S}"
+	cd "${S}" || die
+	pytest -vv || die "Tests fail with ${EPYTHON}"
+}


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-trio/
@ 2020-03-31 17:39 Andrew Ammerlaan
  0 siblings, 0 replies; 10+ messages in thread
From: Andrew Ammerlaan @ 2020-03-31 17:39 UTC (permalink / raw
  To: gentoo-commits

commit:     e0d5b38166015cc1c8eb29ee0799c642c1a915b2
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Tue Mar 31 16:43:22 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Tue Mar 31 16:43:22 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e0d5b381

dev-python/pytest-trio: more deps, more drama

Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-python/pytest-trio/pytest-trio-0.5.2.ebuild | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

diff --git a/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild b/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild
index 8232fa5..aba3ec7 100644
--- a/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild
+++ b/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild
@@ -34,14 +34,20 @@ DEPEND="
 		>=dev-python/hypothesis-3.64[${PYTHON_USEDEP}]
 		!~dev-python/pytest-3.7.0[${PYTHON_USEDEP}]
 		!~dev-python/pytest-3.7.1[${PYTHON_USEDEP}]
+		>=dev-python/pytest-4.3[${PYTHON_USEDEP}]
 		dev-python/trio-asyncio[${PYTHON_USEDEP}]
 	)
 "
 
 distutils_enable_tests pytest
-distutils_enable_sphinx docs/source
+distutils_enable_sphinx docs/source \
+					">=dev-python/attrs-17.4.0" \
+					">=dev-python/sphinx-1.6.1" \
+					dev-python/sphinx_rtd_theme \
+					dev-python/sphinxcontrib-trio
 
 python_prepare_all() {
+	#fix for https://github.com/python-trio/pytest-trio/issues/90
 	# AttributeError("module 'pytest' has no attribute 'RemovedInPytest4Warning'",)
 	rm pytest_trio/_tests/conftest.py || die
 
@@ -50,6 +56,10 @@ python_prepare_all() {
 
 python_test() {
 	# has to be run in source dir
+	#even upstream doesn't know how to run their tests
+	#https://github.com/python-trio/pytest-trio/issues/84
+	#"Our CI is still passing AFAIK"
+
 	PYTHONPATH="${S}"
 	cd "${S}" || die
 	pytest -vv || die "Tests fail with ${EPYTHON}"


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-trio/
  2020-03-31 17:07 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
@ 2020-03-31 17:39 ` Andrew Ammerlaan
  0 siblings, 0 replies; 10+ messages in thread
From: Andrew Ammerlaan @ 2020-03-31 17:39 UTC (permalink / raw
  To: gentoo-commits

commit:     fda864a8f4df250f3de3122d3e7b1650f6d55aab
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Tue Mar 31 17:05:40 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Tue Mar 31 17:06:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=fda864a8

dev-python/pytest-trio: test require package to already be isntalled

Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/pytest-trio/pytest-trio-0.5.2.ebuild | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild b/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild
index aba3ec7..d0b4346 100644
--- a/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild
+++ b/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild
@@ -32,6 +32,7 @@ DEPEND="
 	${RDEPEND}
 	test? (
 		>=dev-python/hypothesis-3.64[${PYTHON_USEDEP}]
+		dev-python/pytest-trio[${PYTHON_USEDEP}]
 		!~dev-python/pytest-3.7.0[${PYTHON_USEDEP}]
 		!~dev-python/pytest-3.7.1[${PYTHON_USEDEP}]
 		>=dev-python/pytest-4.3[${PYTHON_USEDEP}]


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-trio/
@ 2020-05-24 19:03 Andrew Ammerlaan
  0 siblings, 0 replies; 10+ messages in thread
From: Andrew Ammerlaan @ 2020-05-24 19:03 UTC (permalink / raw
  To: gentoo-commits

commit:     5d5007c0dcb27d2070f63c4995dea93ccd0aaaa3
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun May 24 08:33:50 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun May 24 08:34:54 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5d5007c0

dev-python/pytest-trio: version bump

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/pytest-trio/Manifest                 |  1 +
 dev-python/pytest-trio/pytest-trio-0.6.0.ebuild | 67 +++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-python/pytest-trio/Manifest b/dev-python/pytest-trio/Manifest
index f6eebcc..d17b502 100644
--- a/dev-python/pytest-trio/Manifest
+++ b/dev-python/pytest-trio/Manifest
@@ -1 +1,2 @@
 DIST pytest-trio-0.5.2.tar.gz 35372 BLAKE2B 158e59d81fab6b56e37e92e28f8fdabb5d330dfc57b7774dcde4156165e3f5336647c9382268b50a5f70806449107ab2c7ec6d1a34f6bc773825b4fbb50b03a1 SHA512 0ab0bcfd3b1ef4859a49fa9d5dacbc698882f4f95ee113f241b49d8a7f000dbae1d982a13a87e18f96d51af1278b20298dd1af8d2ab1f563e91e74f7232f46a5
+DIST pytest-trio-0.6.0.tar.gz 37835 BLAKE2B 4158cfc81fc6db3aa9f049127f6550de4ac55fd881c4e35b67bdcfe0492470dce6ee5df9077962b46b6233f942fcc944b41cd185897ddb83824ad1a31abb846e SHA512 662719e67f5d71f73b2e5389592812b79b296b7fdd8ff6f491961bd5444958e829c46a3bd79f08e9b8b8638125c48edd459f599acc2e071fc0cf8013525a3739

diff --git a/dev-python/pytest-trio/pytest-trio-0.6.0.ebuild b/dev-python/pytest-trio/pytest-trio-0.6.0.ebuild
new file mode 100644
index 0000000..9376d18
--- /dev/null
+++ b/dev-python/pytest-trio/pytest-trio-0.6.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="This is a pytest plugin to help you test projects that use Trio"
+HOMEPAGE="
+	https://github.com/python-trio/pytest-trio
+	https://pypi.org/project/pytest-trio
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( MIT Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# lots of different errors
+RESTRICT="test"
+
+RDEPEND="
+	>=dev-python/async_generator-1.9[${PYTHON_USEDEP}]
+	dev-python/outcome[${PYTHON_USEDEP}]
+	>=dev-python/trio-0.15[${PYTHON_USEDEP}]
+"
+DEPEND="
+	${RDEPEND}
+	test? (
+		>=dev-python/hypothesis-3.64[${PYTHON_USEDEP}]
+		dev-python/pytest-trio[${PYTHON_USEDEP}]
+		!~dev-python/pytest-3.7.0[${PYTHON_USEDEP}]
+		!~dev-python/pytest-3.7.1[${PYTHON_USEDEP}]
+		>=dev-python/pytest-4.3[${PYTHON_USEDEP}]
+		dev-python/trio-asyncio[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source \
+					">=dev-python/attrs-17.4.0" \
+					">=dev-python/sphinx-1.6.1" \
+					dev-python/sphinx_rtd_theme \
+					dev-python/sphinxcontrib-trio
+
+python_prepare_all() {
+	#fix for https://github.com/python-trio/pytest-trio/issues/90
+	# AttributeError("module 'pytest' has no attribute 'RemovedInPytest4Warning'",)
+	rm pytest_trio/_tests/conftest.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	# has to be run in source dir
+	#even upstream doesn't know how to run their tests
+	#https://github.com/python-trio/pytest-trio/issues/84
+	#"Our CI is still passing AFAIK"
+
+	PYTHONPATH="${S}"
+	cd "${S}" || die
+	pytest -vv || die "Tests fail with ${EPYTHON}"
+}


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-trio/
  2020-06-15 11:34 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
@ 2020-06-15 11:35 ` Andrew Ammerlaan
  0 siblings, 0 replies; 10+ messages in thread
From: Andrew Ammerlaan @ 2020-06-15 11:35 UTC (permalink / raw
  To: gentoo-commits

commit:     3a119f4cebbec3fda19ffd3b9ea97350fca05f52
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Mon Jun 15 11:23:27 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon Jun 15 11:23:27 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=3a119f4c

dev-python/pytest-trio: add py3_8

Package-Manager: Portage-2.3.101, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/pytest-trio/pytest-trio-0.6.0.ebuild | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/dev-python/pytest-trio/pytest-trio-0.6.0.ebuild b/dev-python/pytest-trio/pytest-trio-0.6.0.ebuild
index 9376d18..dc34ecf 100644
--- a/dev-python/pytest-trio/pytest-trio-0.6.0.ebuild
+++ b/dev-python/pytest-trio/pytest-trio-0.6.0.ebuild
@@ -3,7 +3,7 @@
 
 EAPI="7"
 
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_{6,7,8} )
 
 DISTUTILS_USE_SETUPTOOLS=rdepend
 
@@ -20,7 +20,7 @@ LICENSE="|| ( MIT Apache-2.0 )"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 
-# lots of different errors
+# fixture 'testdir' not found, should be in pytest according to the manual
 RESTRICT="test"
 
 RDEPEND="
@@ -32,7 +32,6 @@ DEPEND="
 	${RDEPEND}
 	test? (
 		>=dev-python/hypothesis-3.64[${PYTHON_USEDEP}]
-		dev-python/pytest-trio[${PYTHON_USEDEP}]
 		!~dev-python/pytest-3.7.0[${PYTHON_USEDEP}]
 		!~dev-python/pytest-3.7.1[${PYTHON_USEDEP}]
 		>=dev-python/pytest-4.3[${PYTHON_USEDEP}]
@@ -60,7 +59,6 @@ python_test() {
 	#even upstream doesn't know how to run their tests
 	#https://github.com/python-trio/pytest-trio/issues/84
 	#"Our CI is still passing AFAIK"
-
 	PYTHONPATH="${S}"
 	cd "${S}" || die
 	pytest -vv || die "Tests fail with ${EPYTHON}"


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-trio/
  2020-08-29 14:14 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
@ 2020-08-29 14:14 ` Andrew Ammerlaan
  0 siblings, 0 replies; 10+ messages in thread
From: Andrew Ammerlaan @ 2020-08-29 14:14 UTC (permalink / raw
  To: gentoo-commits

commit:     8ecfa7943aa76deee8a5f646ac180cf5ecbb92e4
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sat Aug 29 13:07:54 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sat Aug 29 13:07:54 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=8ecfa794

dev-python/pytest-trio: drop py3.6

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/pytest-trio/pytest-trio-0.5.2.ebuild | 2 +-
 dev-python/pytest-trio/pytest-trio-0.6.0.ebuild | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild b/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild
index d0b4346..fbdb667 100644
--- a/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild
+++ b/dev-python/pytest-trio/pytest-trio-0.5.2.ebuild
@@ -3,7 +3,7 @@
 
 EAPI="7"
 
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_7 )
 
 DISTUTILS_USE_SETUPTOOLS=rdepend
 

diff --git a/dev-python/pytest-trio/pytest-trio-0.6.0.ebuild b/dev-python/pytest-trio/pytest-trio-0.6.0.ebuild
index dc34ecf..55c0268 100644
--- a/dev-python/pytest-trio/pytest-trio-0.6.0.ebuild
+++ b/dev-python/pytest-trio/pytest-trio-0.6.0.ebuild
@@ -3,7 +3,7 @@
 
 EAPI="7"
 
-PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_COMPAT=( python3_{7,8} )
 
 DISTUTILS_USE_SETUPTOOLS=rdepend
 


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-trio/
@ 2020-12-06 10:49 Andrew Ammerlaan
  0 siblings, 0 replies; 10+ messages in thread
From: Andrew Ammerlaan @ 2020-12-06 10:49 UTC (permalink / raw
  To: gentoo-commits

commit:     63778f5510898a2e7d3cd0ec8af64bb86d1e28a2
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sun Dec  6 09:25:40 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Dec  6 09:40:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=63778f55

dev-python/pytest-trio: new version

Package-Manager: Portage-3.0.10, Repoman-3.0.2
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-python/pytest-trio/Manifest                 |  1 +
 dev-python/pytest-trio/pytest-trio-0.7.0.ebuild | 55 +++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-python/pytest-trio/Manifest b/dev-python/pytest-trio/Manifest
index d17b5024..185856d2 100644
--- a/dev-python/pytest-trio/Manifest
+++ b/dev-python/pytest-trio/Manifest
@@ -1,2 +1,3 @@
 DIST pytest-trio-0.5.2.tar.gz 35372 BLAKE2B 158e59d81fab6b56e37e92e28f8fdabb5d330dfc57b7774dcde4156165e3f5336647c9382268b50a5f70806449107ab2c7ec6d1a34f6bc773825b4fbb50b03a1 SHA512 0ab0bcfd3b1ef4859a49fa9d5dacbc698882f4f95ee113f241b49d8a7f000dbae1d982a13a87e18f96d51af1278b20298dd1af8d2ab1f563e91e74f7232f46a5
 DIST pytest-trio-0.6.0.tar.gz 37835 BLAKE2B 4158cfc81fc6db3aa9f049127f6550de4ac55fd881c4e35b67bdcfe0492470dce6ee5df9077962b46b6233f942fcc944b41cd185897ddb83824ad1a31abb846e SHA512 662719e67f5d71f73b2e5389592812b79b296b7fdd8ff6f491961bd5444958e829c46a3bd79f08e9b8b8638125c48edd459f599acc2e071fc0cf8013525a3739
+DIST pytest-trio-0.7.0.tar.gz 47784 BLAKE2B 59b28df45e87804e0b6eb557a0cf259fdc3636cc7a03d78248fb814d55904ed01d00a530b194b2bfe93ccfb9de528d70a372faf1f6db24531c230319122db2e5 SHA512 547036c94f33cf8e755c88d608c5fddfa5c583fdaa7e604598d470e250a006c571702a81bac4f273b74450a8c10e4be404bad74d4104403fe1c9c70e872dff53

diff --git a/dev-python/pytest-trio/pytest-trio-0.7.0.ebuild b/dev-python/pytest-trio/pytest-trio-0.7.0.ebuild
new file mode 100644
index 00000000..2a9db699
--- /dev/null
+++ b/dev-python/pytest-trio/pytest-trio-0.7.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{7,8} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+DOCBUILDER="sphinx"
+DOCDIR="${S}/docs/source"
+DOCDEPEND="
+	>=dev-python/attrs-17.4.0
+	>=dev-python/sphinx-1.6.1
+	dev-python/sphinx_rtd_theme
+	dev-python/sphinxcontrib-trio
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="This is a pytest plugin to help you test projects that use Trio"
+HOMEPAGE="
+	https://github.com/python-trio/pytest-trio
+	https://pypi.org/project/pytest-trio
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( MIT Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+#too many errors
+RESTRICT="test"
+
+RDEPEND="
+	>=dev-python/async_generator-1.9[${PYTHON_USEDEP}]
+	dev-python/outcome[${PYTHON_USEDEP}]
+	>=dev-python/trio-0.15[${PYTHON_USEDEP}]
+"
+DEPEND="
+	${RDEPEND}
+	test? (
+		>=dev-python/hypothesis-3.64[${PYTHON_USEDEP}]
+		<dev-python/pytest-6.0.0[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+	# has to be run in source dir
+	#even upstream doesn't know how to run their tests
+	#https://github.com/python-trio/pytest-trio/issues/84
+	#"Our CI is still passing AFAIK"
+	PYTHONPATH="${S}"
+	cd "${S}" || die
+	pytest -vv --pyargs pytest_trio || die "Tests fail with ${EPYTHON}"
+}


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-trio/
@ 2021-04-13 13:22 Andrew Ammerlaan
  0 siblings, 0 replies; 10+ messages in thread
From: Andrew Ammerlaan @ 2021-04-13 13:22 UTC (permalink / raw
  To: gentoo-commits

commit:     4d6544c7c9e5f923e83ba19bdf914929e95990d8
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Tue Apr 13 12:26:14 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Tue Apr 13 12:26:14 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4d6544c7

dev-python/pytest-trio: drop x86

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/pytest-trio/pytest-trio-0.7.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/pytest-trio/pytest-trio-0.7.0.ebuild b/dev-python/pytest-trio/pytest-trio-0.7.0.ebuild
index f248974d8..a56157c2f 100644
--- a/dev-python/pytest-trio/pytest-trio-0.7.0.ebuild
+++ b/dev-python/pytest-trio/pytest-trio-0.7.0.ebuild
@@ -25,7 +25,7 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
 
 LICENSE="|| ( MIT Apache-2.0 )"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64"
 #too many errors
 RESTRICT="test"
 


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-trio/
@ 2021-05-05  8:33 Andrew Ammerlaan
  0 siblings, 0 replies; 10+ messages in thread
From: Andrew Ammerlaan @ 2021-05-05  8:33 UTC (permalink / raw
  To: gentoo-commits

commit:     b7c7553ef5f443fd49a644d35f494a22b57b4337
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Wed May  5 07:27:36 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Wed May  5 07:32:53 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b7c7553e

dev-python/pytest-trio: comaintainers welcome

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-python/pytest-trio/metadata.xml | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dev-python/pytest-trio/metadata.xml b/dev-python/pytest-trio/metadata.xml
index ada609b9a..0cc4d7f61 100644
--- a/dev-python/pytest-trio/metadata.xml
+++ b/dev-python/pytest-trio/metadata.xml
@@ -2,6 +2,7 @@
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
   <maintainer type="person">
+    <description>co-maintainers welcome</description>
     <email>lssndrbarbieri@gmail.com</email>
     <name>Alessandro Barbieri</name>
   </maintainer>


^ permalink raw reply related	[flat|nested] 10+ messages in thread

end of thread, other threads:[~2021-05-05  8:33 UTC | newest]

Thread overview: 10+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-12-06 10:49 [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-trio/ Andrew Ammerlaan
  -- strict thread matches above, loose matches on Subject: below --
2021-05-05  8:33 Andrew Ammerlaan
2021-04-13 13:22 Andrew Ammerlaan
2020-08-29 14:14 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-08-29 14:14 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-06-15 11:34 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-06-15 11:35 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-05-24 19:03 Andrew Ammerlaan
2020-03-31 17:39 Andrew Ammerlaan
2020-03-31 17:07 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-03-31 17:39 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-03-29 13:21 Andrew Ammerlaan
2020-03-29 13:21 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-03-29 13:21 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox